package com.emato.ccnet.wx;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication(
        exclude = {
                // 多数据源,不使用自动配置
                DataSourceAutoConfiguration.class
        }
)
@EnableScheduling
@EnableTransactionManagement
public class CcnetWeimobApplication extends SpringBootServletInitializer {

    public static void main(String[] args) {
        SpringApplication.run(CcnetWeimobApplication.class, args);
    }

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder builder) {
        return builder.sources(CcnetWeimobApplication.class);
    }
}
