package com.emato.ccnet.wx.contants;

public class CcnetContants {

    /**
     * 发送状态，0:待发送，1:发送中，2:发送成功，3:发送失败
     */
    public enum sendStatus {
        item_0("0", "待发送"),
        item_1("1", "发送中"),
        item_2("2", "发送成功"),
        item_3("3", "发送失败"),
        item_4("4", "接收成功");

        private String item;
        private String itemName;

        sendStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 回执状态，0:待发送，1:发送中，2:业务处理成功，3:业务处理失败
     */
    public enum sespStatus {
        item_0("0", "待发送"),
        item_1("1", "发送中"),
        item_2("2", "业务处理成功"),
        item_3("3", "业务处理失败");

        private String item;
        private String itemName;

        sespStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }
    /**
     * 海关申报状态，10:等待海关处理，11:海关申报中，12:海关申报成功，13:海关申报中失败
     */
    public enum docStatus {
        item_10("10", "等待海关处理"),
        item_11("11", "海关申报中"),
        item_12("12", "海关申报成功"),
        item_13("13", "海关申报中失败");

        private String item;
        private String itemName;

        docStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 发送ws路径标识，00:保税备货， 02:保税展示补货，10:保税展示跨境
     */
    public enum wsFlag {
        item_00("00", "保税备货"),
        item_02("02", "保税展示补货"),
        item_10("10", "保税展示跨境");

        private String item;
        private String itemName;

        wsFlag(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 订购人支付人校验，0:未知，1:一致，2:不一致,3:校验异常
     */
    public enum buyerPayerCheck {
        item_0("0", "未知"),
        item_1("1", "一致"),
        item_2("2", "不一致"),
        item_3("3", "校验异常");

        private String item;
        private String itemName;

        buyerPayerCheck(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 订购人支付人校验，0:未知，1:一致，2:不一致,3:校验异常
     */
    public enum isscan {
        item_0("0", "未扫描"),
        item_1("1", "已扫描");

        private String item;
        private String itemName;

        isscan(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 通知类型：00：订单审核，20：订单清关；40：订单出货
     */
    public enum notiType {
        item_00("00", "订单审核"),
        item_20("20", "订单清关"),
        item_40("40", "订单出货");

        private String item;
        private String itemName;

        notiType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 业务状态，2:成功，3:失败，4：订单缺失
     */
    public enum serviceStates {
        item_2("2", "成功"),
        item_3("3", "失败"),
        item_4("4", "成功"),;

        private String item;
        private String itemName;

        serviceStates(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }
}
