package com.emato.ccnet.wx.controller;

import com.emato.ccnet.wx.biz.req.play.wx.WxplayBiz;
import com.emato.ccnet.wx.biz.req.play.wx.WxplayResponse;
import com.emato.ccnet.wx.manager.result.Result;
import com.emato.ccnet.wx.support.msg.resp.ResponseMessage;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class CusPlayController {
    private static final Logger LOGGER = LoggerFactory.getLogger(CusPlayController.class);

    @Autowired
    private WxplayBiz wxplayBiz;

    @Autowired
    private WxplayResponse wxplayResponse;

    @RequestMapping("/wx/wxBill")
    public ResponseMessage wxplayBill() {
        LOGGER.info("---------- 支付单数据开始 ----------------------------------------");
        ResponseMessage result = wxplayBiz.biz();
        LOGGER.info("---------- 支付单数据结束 ----------------------------------------");
        return result;
    }

    @RequestMapping(value = "/wx/wxPlayBill", method = RequestMethod.POST)
    public ResponseMessage wxPlayBillResponse(@RequestBody Result result) {
        LOGGER.info("---------- 支付单数据回执开始 ----------------------------------------");
        wxplayResponse.biz(result);
        LOGGER.info("---------- 支付单数据回执结束 ----------------------------------------");
        return null;
    }

}
