package com.emato.ccnet.wx.dao.mapper.ccnet;

import com.emato.ccnet.wx.dao.entity.ccnet.CusOrderGoods;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CusOrderGoodsMapper {
    int deleteByPrimaryKey(String cusOrderGoodsSn);

    int insertSelective(CusOrderGoods record);

    CusOrderGoods selectByPrimaryKey(String cusOrderGoodsSn);

    int updateByPrimaryKeySelective(CusOrderGoods record);
    /**
     * 批量插入海关电子订单商品表
     * @param cusOrderGoodes
     * @return
     */
    int insertCusOrderGoodsItemBatch(List<CusOrderGoods> cusOrderGoodes);

    /**
     * 通过电子订单内部编号查找电子订单商品号
     * @param cusOrderSn
     * @return
     */
    List<CusOrderGoods> findCusOrderGoodsByCusOrderSn(String cusOrderSn);

    int deteleByCusOrderSn(String cusOrderSn);
}