package com.emato.ccnet.wx.dao.mapper.ccnet;

import com.emato.ccnet.wx.dao.entity.ccnet.CusWaybillGoods;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CusWaybillGoodsMapper {
    int deleteByPrimaryKey(String cusWaybillGoodsSn);

    int insertSelective(CusWaybillGoods record);

    CusWaybillGoods selectByPrimaryKey(String cusWaybillGoodsSn);

    int updateByPrimaryKeySelective(CusWaybillGoods record);

    /**
     * 批量插入海关运单商品
     * @param cusWaybillGoodes
     * @return
     */
    int insertCusWaybillGoodsItemBatch(List<CusWaybillGoods> cusWaybillGoodes);

    /**
     * 通过商户订单编号查找运单商品
     * @param merchOrderId
     * @return
     */
    List<CusWaybillGoods> findCusWaybillGoodsByOrderId(String merchOrderId);

    List<CusWaybillGoods> findCusWaybillGoodsByCusWaybillSn(String cusWaybillSn);

    int deteleByCusWaybillSn(String cusWaybillSn);
}