package com.emato.ccnet.wx.dao.mapper.ccnet;

import com.emato.ccnet.wx.dao.entity.ccnet.CusWaybill;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CusWaybillMapper {
    int deleteByPrimaryKey(String cusWaybillSn);

    int insertSelective(CusWaybill record);

    CusWaybill selectByPrimaryKey(String cusWaybillSn);

    int updateByPrimaryKeySelective(CusWaybill record);

    /**
     * 查找海关运单
     * @return
     */
    List<CusWaybill> findAllCusWaybill();


    CusWaybill findCusWaybillByOrderSn(String orderSn);

    /**
     * 批量插入海关运单
     * @param list
     * @return
     */
    int insertCusWaybillItemBatch(List<CusWaybill> list);

    int updateCusWaybillItemBatch(List<CusWaybill> upCusWaybills);

    CusWaybill getCusWaybillByMerchOrderSn(String merchOrderSn);
}