package com.emato.ccnet.wx.dao.mapper.wx;

import com.emato.ccnet.wx.dao.entity.wx.WxOrderDate;
import com.emato.ccnet.wx.dao.entity.wx.WxOrderGoodsDate;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface WxOrderGrabMapper {
    /**
     * 查找微信订单数据
     * @return
     */
    List<WxOrderDate> getWxOrderDate(Map<String, Object> param);

    /**
     * 查找微信订单详情数据
     */
    List<WxOrderGoodsDate> getWxOrderGoodsDate(List<String> orderId);

    int updateIsScanBatch(List<Map<String, Object>> list);

    int updateMallOrderProcessRecord(Map<String, Object> recordMap);

    int updateBuyerPayCheck(Map<String, Object> wxMap);
}