package com.emato.ccnet.wx.service;


import com.emato.ccnet.wx.dao.entity.ccnet.CusOrderStatus;

import java.util.List;
import java.util.Map;

public interface CusOrderStatusService {
    CusOrderStatus add(CusOrderStatus record);

    boolean delete(String cusOrderStatusSn);

    CusOrderStatus update(CusOrderStatus record);

    CusOrderStatus get(String cusOrderStatusSn);

    /**
     * 通过订单编号查找电子订单表
     * @param param
     * @return
     */
    CusOrderStatus findCusOrderStatus(Map<String, Object> param);

    /**
     * 单个更新电子订单状态表
     * @return
     */
    int updateCusOrderStatus(CusOrderStatus cusOrderStatus);

    /**
     * 批量更新电子订单状态
     * @param list
     * @return
     */
    int updateCusOrderStatusBatch(List list);
}