package com.emato.ccnet.wx.service;


import com.emato.ccnet.wx.dao.entity.ccnet.CusWaybillStatus;

import java.util.List;
import java.util.Map;

public interface CusWaybillStatusService {
    CusWaybillStatus add(CusWaybillStatus record);

    boolean delete(String cusWaybillStatusSn);

    CusWaybillStatus update(CusWaybillStatus record);

    CusWaybillStatus get(String cusWaybillStatusSn);
    /**
     * 批量更新海关运单状态
     * @param list
     * @return
     */
    int updateCusWaybillStatusBatch(List list);

    /**
     * 通过状态和内部订单编号查找海关运单数据
     * @param map
     * @return
     */
    CusWaybillStatus findCusWaybillStatus(Map<String, Object> map);

    /**
     * 更新海关运单数据
     * @param cusWaybillStatus
     * @return
     */
    int updateCusWaybillStatus(CusWaybillStatus cusWaybillStatus);
}