package com.emato.ccnet.wx.service.impl;

import com.emato.ccnet.wx.dao.entity.oms.MerchantPlatform;
import com.emato.ccnet.wx.dao.entity.oms.MerchantSecret;
import com.emato.ccnet.wx.dao.mapper.oms.MerchantPlatformMapper;
import com.emato.ccnet.wx.dao.mapper.oms.MerchantSecretMapper;
import com.emato.ccnet.wx.service.OmsMerchantPlatformService;
import com.emato.ccnet.wx.service.OmsMerchantSecretService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("omsMerchantPlatformService")
public class OmsMerchantPlatformServiceImpl implements OmsMerchantPlatformService {
    @Autowired
    private MerchantPlatformMapper merchantPlatformMapper;

    private static final Logger logger = LoggerFactory.getLogger(OmsMerchantPlatformServiceImpl.class);

    @Override
    public MerchantPlatform getPlatformByMerchSn(String merchSn) {
        return this.merchantPlatformMapper.getPlatformByMerchSn(merchSn);
    }

}