package com.emato.ccnet.wx.service.impl;

import com.emato.ccnet.wx.dao.entity.oms.MerchantSecret;
import com.emato.ccnet.wx.dao.mapper.oms.MerchantSecretMapper;
import com.emato.ccnet.wx.service.OmsMerchantSecretService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("omsMerchantSecretService")
public class OmsMerchantSecretServiceImpl implements OmsMerchantSecretService {
    @Autowired
    private MerchantSecretMapper merchantSecretMapper;

    private static final Logger logger = LoggerFactory.getLogger(OmsMerchantSecretServiceImpl.class);

    @Override
    public MerchantSecret getSecretByMerchSn(String merchSn) {
        return this.merchantSecretMapper.getSecretByMerchSn(merchSn);
    }

}