package com.emato.ccnet.wx.service.impl;

import com.emato.ccnet.wx.dao.entity.wx.WxOrderDate;
import com.emato.ccnet.wx.dao.entity.wx.WxOrderGoodsDate;
import com.emato.ccnet.wx.dao.mapper.wx.WxOrderGrabMapper;
import com.emato.ccnet.wx.service.WxOrderGrabService;
import org.springframework.beans.factory.annotation.Autowired;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service("wxOrderGrabService")
public class WxOrderGrabServiceImpl implements WxOrderGrabService {
    @Autowired
    private WxOrderGrabMapper wxOrderGrabMapper;

    private static final Logger logger = LoggerFactory.getLogger(WxOrderGrabServiceImpl.class);
    @Override
    public List<WxOrderDate> getWxOrder(Map<String, Object> param) {
        return wxOrderGrabMapper.getWxOrderDate(param);
    }

    @Override
    public List<WxOrderGoodsDate> getWxOrderGoods(List<String> orderId) {
        return wxOrderGrabMapper.getWxOrderGoodsDate(orderId);
    }

    @Override
    public int updateIsScanBatch(List<Map<String, Object>> updateList) {
        return wxOrderGrabMapper.updateIsScanBatch(updateList);
    }

    @Override
    public int updateMallOrderProcessRecord(Map<String, Object> recordMap) {
        return wxOrderGrabMapper.updateMallOrderProcessRecord(recordMap);
    }

    @Override
    public int updateBuyerPayCheck(Map<String, Object> wxMap) {
        return wxOrderGrabMapper.updateBuyerPayCheck(wxMap);
    }
}
