package com.emato.ccnet.wx.support.msg.resp;

/**
 * 回执状态码
 *
 * @author Scott Chen
 * @date 2017/3/9
 */
public enum ResponseStatus {

    SUCCESS("0", "成功"),
    ERROR("-1", "错误"),
    FAILURE("-2", "失败"),

    UNAUTHORIZED("401", "非法请求"),


    SESSION_EXPIRE("600", "会话过期");


    public final String code;
    public final String phrase;

    ResponseStatus(String code, String phrase) {
        this.code = code;
        this.phrase = phrase;
    }

}
