package com.emato.ccnet.wx.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.io.Serializable;

/**
 * @author Scott Chen
 * @version 1.0
 * 2017-11-26 16:16
 */
@Configuration
@ConfigurationProperties("ds")
public class DistributedSystemProperties implements Serializable {
    private static final long serialVersionUID = 2933157544322298616L;

    private long workerId;
    private long datacenterId;

    public long getWorkerId() {
        return workerId;
    }

    public void setWorkerId(long workerId) {
        this.workerId = workerId;
    }

    public long getDatacenterId() {
        return datacenterId;
    }

    public void setDatacenterId(long datacenterId) {
        this.datacenterId = datacenterId;
    }
}
