package com.emato.ccnet.wx.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.io.Serializable;

@Component
@ConfigurationProperties(prefix="merchant") //接收application.yml中的merchant下面的属性
public class Merchant implements Serializable {
    private static final long serialVersionUID = -488663428498976725L;

    private String code;

    /**
     * 平台编号
     */
    private String platSn;

    /**
     * 平台中文名
     */
    private String  platName;

    /**
     * 商户海关备案编号
     */
    private String merchantCustomsCode;

    /**
     * 商户海关备案名称
     */
    private String merchantCustomsName;


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPlatSn() {
        return platSn;
    }

    public void setPlatSn(String platSn) {
        this.platSn = platSn;
    }

    public String getPlatName() {
        return platName;
    }

    public void setPlatName(String platName) {
        this.platName = platName;
    }

    public String getMerchantCustomsCode() {
        return merchantCustomsCode;
    }

    public void setMerchantCustomsCode(String merchantCustomsCode) {
        this.merchantCustomsCode = merchantCustomsCode;
    }

    public String getMerchantCustomsName() {
        return merchantCustomsName;
    }

    public void setMerchantCustomsName(String merchantCustomsName) {
        this.merchantCustomsName = merchantCustomsName;
    }

}
