package com.emato.ccnet.wx.dao.mapper.ccnet;

import com.emato.ccnet.wx.dao.entity.ccnet.CusOrder;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CusOrderMapper {
    int deleteByPrimaryKey(String cusOrderSn);

    int insertSelective(CusOrder record);

    CusOrder selectByPrimaryKey(String cusOrderSn);

    int updateByPrimaryKeySelective(CusOrder record);

    /**
     * 通过订单编号查找电子订单表
     * @param orderSn
     * @return
     */
    CusOrder findCusOrderByOrderNo(String orderSn);

    /**
     * 批量插入海关电子订单表
     * @param cusOrders
     * @return
     */
    int insertCusOrderItemBatch(List<CusOrder> cusOrders);

    /**
     * 查找ccnet中的表的数据
     * @return
     */
    List<CusOrder> findAllCusOrder();

    int updateCusOrderItemBatch(List<CusOrder> upCusOrders);
}