package com.emato.ccnet.wx.dao.mapper.ccnet;

import com.emato.ccnet.wx.dao.entity.ccnet.CusWaybillStatus;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface CusWaybillStatusMapper {
    int deleteByPrimaryKey(String cusWaybillStatusSn);

    int insertSelective(CusWaybillStatus record);

    CusWaybillStatus selectByPrimaryKey(String cusWaybillStatusSn);

    int updateByPrimaryKeySelective(CusWaybillStatus record);

    /**
     * 批量插入海关运单状态
     * @param cusWaybillStatues
     * @return
     */
    int insertCusWaybillStatusItemBatch(List<CusWaybillStatus> cusWaybillStatues);

    /**
     * 批量更新状态
     * @param list
     * @return
     */
    int updateCusWaybillStatusBatch(List list);

    /**
     * 通过状态和内部订单编号查找海关运单数据
     * @param map
     * @return
     */
    CusWaybillStatus findCusWaybillStatus(Map<String, Object> map);

    /**
     * 更新海关运单数据
     * @param cusWaybillStatus
     * @return
     */
    int updateCusWaybillStatus(CusWaybillStatus cusWaybillStatus);

    CusWaybillStatus findCusWaybillStatusByCusWaybillSn(String cusWaybillSn);

    int updateCusWaybillStatusItemBatch(List<CusWaybillStatus> upCusWaybillStatues);
}