package com.emato.ccnet.wx.dao.mapper.ccnet;

import com.emato.ccnet.wx.dao.entity.ccnet.WxOrder;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;
@Repository
public interface WxOrderMapper {

    int deleteByPrimaryKey(String wxOrderSn);

    int insertSelective(WxOrder record);

    WxOrder selectByPrimaryKey(String wxOrderSn);

    int updateByPrimaryKeySelective(WxOrder record);

    WxOrder getWxOrderByWxOrderId(String wxOrderId);

    int insertWxOrderBatch(List<WxOrder> list);

    int updateWxOrderBatch(List<WxOrder> list);

    List<WxOrder> getWxOrder(Map<String, Object> param);

    int updateWxOrderStatusBatch(List<Map<String, Object>> list);

    int updateWxOrderStatus(Map<String, Object> wxMap);

    WxOrder getWxOrderByOrderSn(String merchOrderId);
}