package com.emato.ccnet.wx.dto.ccnetdto;

import com.emato.ccnet.wx.dao.entity.ccnet.CusOrder;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author huangyaqin
 * @version 1.0
 * 2018-04-19 19:17
 */
public class OrderDto implements Serializable {
    private static final long serialVersionUID = 3177602414191089902L;

    private String orderSn;

    private String merchName;

    private String merchSn;

    private String merchOrderSn;

    private String platSn;

    private String platName;

    private String thirdPartyMerchCode;

    private String thirdPartyMerchName;

    private String appType;

    private String appTime;

    private String appStatus;

    private String orderType;

    private String orderNo;

    private String ebpCode;

    private String ebpName;

    private String ebcCode;

    private String ebcName;

    private BigDecimal goodsValue;

    private BigDecimal freight;

    private BigDecimal discount;

    private BigDecimal taxTotal;

    private BigDecimal acturalPaid;

    private String currency;

    private String buyerRegNo;

    private String buyerName;

    private String buyerIdType;

    private String buyerIdNumber;

    private String buyerTelephone;

    private String payCode;

    private String payName;

    private String payTransactionId;

    private String batchNumbers;

    private String consignee;

    private String consigneeTelephone;

    private String consigneeAddress;

    private String consigneeDistrict;

    private String note;

    private String guid;

    public OrderDto(CusOrder cusOrder){
        this.orderSn = cusOrder.getOrderSn();
        this.merchName = cusOrder.getMerchName();
        this.merchSn = cusOrder.getMerchSn();
        this.merchOrderSn = cusOrder.getMerchOrderSn();
        this.platSn = cusOrder.getPlatSn();
        this.platName = cusOrder.getPlatName();
        this.thirdPartyMerchCode = cusOrder.getThirdPartyMerchCode();
        this.thirdPartyMerchName = cusOrder.getThirdPartyMerchName();
        this.appType = cusOrder.getAppType();
        this.appTime = cusOrder.getAppTime();
        this.appStatus = cusOrder.getAppStatus();
        this.orderType = cusOrder.getOrderType();
        this.orderNo = cusOrder.getOrderNo();
        this.ebpCode = cusOrder.getEbpCode();
        this.ebpName = cusOrder.getEbpName();
        this.ebcCode = cusOrder.getEbcCode();
        this.ebcName = cusOrder.getEbcName();
        this.goodsValue = cusOrder.getGoodsValue();
        this.freight = cusOrder.getFreight();
        this.discount = cusOrder.getDiscount();
        this.taxTotal = cusOrder.getTaxTotal();
        this.acturalPaid = cusOrder.getActuralPaid();
        this.currency = cusOrder.getCurrency();
        this.buyerRegNo = cusOrder.getBuyerRegNo();
        this.buyerName = cusOrder.getBuyerName();
        this.buyerIdType = cusOrder.getBuyerIdType();
        this.buyerIdNumber = cusOrder.getBuyeridNumber();
        this.buyerTelephone = cusOrder.getBuyerTelephone();
        this.payCode = cusOrder.getPayCode();
        this.payName = cusOrder.getPayName();
        this.payTransactionId = cusOrder.getPayTransactionId();
        this.batchNumbers = cusOrder.getBatchNumbers();
        this.consignee = cusOrder.getConsignee();
        this.consigneeTelephone = cusOrder.getConsigneeTelephone();
        this.consigneeAddress = cusOrder.getConsigneeAddress();
        this.consigneeDistrict = cusOrder.getConsigneeDistrict();
        this.note = cusOrder.getNote();
    }


    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getAppType() {
        return appType;
    }

    public void setAppType(String appType) {
        this.appType = appType;
    }

    public String getAppTime() {
        return appTime;
    }

    public void setAppTime(String appTime) {
        this.appTime = appTime;
    }

    public String getAppStatus() {
        return appStatus;
    }

    public void setAppStatus(String appStatus) {
        this.appStatus = appStatus;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getEbpCode() {
        return ebpCode;
    }

    public void setEbpCode(String ebpCode) {
        this.ebpCode = ebpCode;
    }

    public String getEbpName() {
        return ebpName;
    }

    public void setEbpName(String ebpName) {
        this.ebpName = ebpName;
    }

    public String getEbcCode() {
        return ebcCode;
    }

    public void setEbcCode(String ebcCode) {
        this.ebcCode = ebcCode;
    }

    public String getEbcName() {
        return ebcName;
    }

    public void setEbcName(String ebcName) {
        this.ebcName = ebcName;
    }

    public BigDecimal getGoodsValue() {
        return goodsValue;
    }

    public void setGoodsValue(BigDecimal goodsValue) {
        this.goodsValue = goodsValue;
    }

    public BigDecimal getFreight() {
        return freight;
    }

    public void setFreight(BigDecimal freight) {
        this.freight = freight;
    }

    public BigDecimal getDiscount() {
        return discount;
    }

    public void setDiscount(BigDecimal discount) {
        this.discount = discount;
    }

    public BigDecimal getTaxTotal() {
        return taxTotal;
    }

    public void setTaxTotal(BigDecimal taxTotal) {
        this.taxTotal = taxTotal;
    }

    public BigDecimal getActuralPaid() {
        return acturalPaid;
    }

    public void setActuralPaid(BigDecimal acturalPaid) {
        this.acturalPaid = acturalPaid;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getBuyerRegNo() {
        return buyerRegNo;
    }

    public void setBuyerRegNo(String buyerRegNo) {
        this.buyerRegNo = buyerRegNo;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getBuyerIdType() {
        return buyerIdType;
    }

    public void setBuyerIdType(String buyerIdType) {
        this.buyerIdType = buyerIdType;
    }

    public String getbuyerIdNumber() {
        return buyerIdNumber;
    }

    public void setbuyerIdNumber(String buyerIdNumber) {
        this.buyerIdNumber = buyerIdNumber;
    }

    public String getBuyerTelephone() {
        return buyerTelephone;
    }

    public void setBuyerTelephone(String buyerTelephone) {
        this.buyerTelephone = buyerTelephone;
    }

    public String getPayCode() {
        return payCode;
    }

    public void setPayCode(String payCode) {
        this.payCode = payCode;
    }

    public String getPayName() {
        return payName;
    }

    public void setPayName(String payName) {
        this.payName = payName;
    }

    public String getPayTransactionId() {
        return payTransactionId;
    }

    public void setPayTransactionId(String payTransactionId) {
        this.payTransactionId = payTransactionId;
    }

    public String getBatchNumbers() {
        return batchNumbers;
    }

    public void setBatchNumbers(String batchNumbers) {
        this.batchNumbers = batchNumbers;
    }

    public String getConsignee() {
        return consignee;
    }

    public void setConsignee(String consignee) {
        this.consignee = consignee;
    }

    public String getConsigneeTelephone() {
        return consigneeTelephone;
    }

    public void setConsigneeTelephone(String consigneeTelephone) {
        this.consigneeTelephone = consigneeTelephone;
    }

    public String getConsigneeAddress() {
        return consigneeAddress;
    }

    public void setConsigneeAddress(String consigneeAddress) {
        this.consigneeAddress = consigneeAddress;
    }

    public String getConsigneeDistrict() {
        return consigneeDistrict;
    }

    public void setConsigneeDistrict(String consigneeDistrict) {
        this.consigneeDistrict = consigneeDistrict;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getMerchName() {
        return merchName;
    }

    public void setMerchName(String merchName) {
        this.merchName = merchName;
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    public String getMerchOrderSn() {
        return merchOrderSn;
    }

    public void setMerchOrderSn(String merchOrderSn) {
        this.merchOrderSn = merchOrderSn;
    }

    public String getPlatSn() {
        return platSn;
    }

    public void setPlatSn(String platSn) {
        this.platSn = platSn;
    }

    public String getPlatName() {
        return platName;
    }

    public void setPlatName(String platName) {
        this.platName = platName;
    }

    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }

    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    public String getThirdPartyMerchName() {
        return thirdPartyMerchName;
    }

    public void setThirdPartyMerchName(String thirdPartyMerchName) {
        this.thirdPartyMerchName = thirdPartyMerchName;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }
}
