package com.emato.ccnet.wx.service;

import com.emato.ccnet.wx.dao.entity.wx.WxOrderDate;
import com.emato.ccnet.wx.dao.entity.wx.WxOrderGoodsDate;

import java.util.List;
import java.util.Map;

public interface WxOrderGrabService {
    /**
     * 查找微信订单数据
     * @return
     */
    List<WxOrderDate> getWxOrder(Map<String, Object> param);

    /**
     * 查找微信订单详情数据
     */
    List<WxOrderGoodsDate> getWxOrderGoods(List<String> orderId);

    int updateIsScanBatch(List<Map<String, Object>> updateList);

    int updateMallOrderProcessRecord(Map<String, Object> recordMap);

    int updateBuyerPayCheck(Map<String, Object> wxMap);
}
