package com.emato.ccnet.wx.service.impl;

import com.emato.ccnet.wx.dao.entity.ccnet.WxCuspayResp;
import com.emato.ccnet.wx.dao.mapper.ccnet.WxCuspayRespMapper;
import com.emato.ccnet.wx.service.WxCuspayRespService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("wxCuspayRespService")
public class WxCuspayRespServiceImpl implements WxCuspayRespService {
    @Autowired
    private WxCuspayRespMapper wxCuspayRespMapper;

    private static final Logger logger = LoggerFactory.getLogger(WxCuspayRespServiceImpl.class);

    @Override
    public WxCuspayResp add(WxCuspayResp record) {
        record.setCreateTime(new Date());
        if(this.wxCuspayRespMapper.insertSelective(record)==1) {
            	return record; 
        }
        return null;
    }

    @Override
    public boolean delete(String wxCuspayRespSn) {
        return this.wxCuspayRespMapper.deleteByPrimaryKey(wxCuspayRespSn)==1;
    }

    @Override
    public WxCuspayResp update(WxCuspayResp record) {
        if(this.wxCuspayRespMapper.updateByPrimaryKeySelective(record)==1) {
            	return record;
        }
        return null;
    }

    @Override
    public WxCuspayResp get(String wxCuspayRespSn) {
        return this.wxCuspayRespMapper.selectByPrimaryKey(wxCuspayRespSn);
    }

}