package com.emato.ccnet.wx.support.msg.resp;

import java.io.Serializable;

/**
 * 请求外部消息结构
 * 由当前系统发起
 *
 * @author Scott Chen
 * @since 1.0
 * 2018-03-28
 */
public class RequestOutMessage implements Serializable {
    private static final long serialVersionUID = 519875740038267887L;

    //业务数据
    private Object data;
    //时间戳
    private String timestamp;
    //签名
    private String sign;

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }
}
